Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletRequestListener

All Superinterfaces:
  java.util.EventListener

    public interface ServletRequestListener

extends java.util.EventListener

A ServletRequestListener can be implemented by the developer interested in being notified of requests coming in and out of scope in a web component. A request is defined as coming into scope when it is about to enter the first servlet or filter in each web application, as going out of scope when it exits the last servlet or the first filter in the chain.

Since:
  Servlet 2.4

Method Summary
`void` | `requestDestroyed(ServletRequestEvent sre)` The request is about to go out of scope of the web application.
`void` | `requestInitialized(ServletRequestEvent sre)` The request is about to come into scope of the web application.

Method Detail

### requestDestroyed

    void requestDestroyed(ServletRequestEvent sre)

  The request is about to go out of scope of the web application.

### requestInitialized

    void requestInitialized(ServletRequestEvent sre)

  The request is about to come into scope of the web application.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.